import { AddUserFunctionReturn, UserDataPayload } from "../package-shared/types";
type Param = {
    key?: string;
    database?: string;
    payload: UserDataPayload;
    encryptionKey?: string;
    encryptionSalt?: string;
    user_id?: string | number;
    apiUserId?: string | number;
    useLocal?: boolean;
};
/**
 * # Add User to Database
 */
export default function addUser({ key, payload, database, encryptionKey, user_id, useLocal, apiUserId, }: Param): Promise<AddUserFunctionReturn>;
export {};
