import http from "http";
import { APILoginFunctionReturn } from "../package-shared/types";
type Param = {
    key?: string;
    database?: string;
    response?: http.ServerResponse;
    request?: http.IncomingMessage;
    level?: "deep" | "normal";
    encryptionKey?: string;
    encryptionSalt?: string;
    additionalFields?: string[];
    encryptedUserString?: string;
    user_id?: string | number;
    useLocal?: boolean;
};
/**
 * # Reauthorize User
 */
export default function reauthUser({ key, database, response, request, level, encryptionKey, encryptionSalt, additionalFields, encryptedUserString, user_id, useLocal, }: Param): Promise<APILoginFunctionReturn>;
export {};
