import { UpdateUserFunctionReturn } from "../package-shared/types";
type Param = {
    key?: string;
    database?: string;
    updatedUserId: string | number;
    payload: {
        [s: string]: any;
    };
    user_id?: boolean;
    useLocal?: boolean;
};
/**
 * # Update User
 */
export default function updateUser({ key, payload, database, user_id, useLocal, updatedUserId, }: Param): Promise<UpdateUserFunctionReturn>;
export {};
